Method: projects.locations.extensionBindings.create

Creates a new ExtensionBinding resource in a given project and location.

HTTP request

POST https://networkservices.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/extensionBindings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource of the ExtensionBinding resource. Must be in the format projects/{project}/locations/{location}.

Query parameters

Parameters
extensionBindingId

string

Required. Short name of the ExtensionBinding resource to be created.

Request body

The request body contains an instance of ExtensionBinding.

Response body

If successful, the response body contains a newly created instance of Operation.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • networkservices.extensionBindings.create

For more information, see the IAM documentation.